petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatPartitioningGetUseEdgeWeights

Get a flag that indicates whether or not to edge weights are used.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningGetUseEdgeWeights(MatPartitioning part,PetscBool *use_edge_weights)

Logically Collective on Partitioning

### Input Parameters

part -the partitioning context

### Output Parameters

use_edge_weights -the flag indicateing whether or not to edge weights are used.

### See Also

MatPartitioningCreate(), MatPartitioningSetType(), MatPartitioningSetVertexWeights(), MatPartitioningSetPartitionWeights(),
MatPartitioningSetUseEdgeWeights

### Level

beginner

### Location

src/mat/partition/partition.c

### Examples

src/mat/tutorials/ex15.c.html
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages